Subject: Re: bug#5970: regex won't do lazy matching

From: Eric Blake <[email-masked]>
Date: Mon, 19 Apr 2010 15:36:54 -0600

On 04/18/2010 07:33 PM, a g wrote:
> This may be a usage problem, but it does not exist with other regex packages
> (such as slre) and I can't find anything in the documentation to indicate
> that the syntax should be different for coreutils. I am using coreutils 8.4
> on ubuntu AMD64, version 9.10. I cannot get the coreutils regex matcher to
> do lazy matching.

Thanks for the report.  However, coreutils does not maintain regex code.
 Rather, uses an upstream version from gnulib, which in turn borrows
from glibc.  Perhaps the best course of action would be to try your test
app compiled against glibc, and if that still doesn't meet your needs,
then open a bug report against glibc.  And if glibc works, then open a
bug report against gnulib that gnulib and glibc disagree.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org